<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>App</title>
</head>
<body>
    <div>
        <h1>Dane użytkownika</h1>
        <p>Name: <span th:text="${user.name}"></span></p>
        <p>ID: <span th:text="${user.id}"></span></p>
        <p>Age: <span th:text="${user.age}"></span> <span th:if="${user.age > 35}">Powyżej średniej</span></p>
        <p>User type:
            <span th:switch="${user.userType.toString()}">
                <span th:case="'ADMIN'">Administrator</span>
                <span th:case="'GUEST'">Gosc</span>
                <span th:case="'REGISTERED'">Zaarejstrowany</span>
                <span th:case="*"></span>
            </span>
        </p>
        <p>Registration date: <span th:text="${#dates.format(user.registrationDate, 'yyyy-MM-dd HH:mm')}"></span></p>
    </div>
    <div>
        <p>Czy artur na stronie: <span th:text="${user.name == 'Artur' ? 'tak' : 'nie'}"></span>   </p>
    </div>
    <div th:if="${user.age < 30 and user.getDaysSinceRegistration() > 200}">
        <p>Witaj <span th:text="${user.name}"></span>!</p>
        <p>od Twojej rejestracji minęło <span th:text="${user.getDaysSinceRegistration()}"></span> dni.</p>
    </div>
</body>
</html>